Bug 490007 - ktorrent show low space warning
ktorrent show low space warning
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: ktorrent (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Roland Wolters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 16:34 EDT by Alexey Kuznetsov
Modified: 2009-03-16 20:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 20:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 187141 None None None Never

  None (edit)
Description Alexey Kuznetsov 2009-03-12 16:34:28 EDT
I download torrent directly to samba server mounted as gvfs folder. Download folder path is: ~/.gvfs/www on mini/www/[torrent file]

Each start ktorrent ask me to continue downloading in case of out of free space problem.

my local hard drive has 65gb free, remote harddrive (samba folder) has more then 200gb free.

[axet@mini ~]$ df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/hda3              92G   23G   65G  26% /
tmpfs                 504M  156K  504M   1% /dev/shm
Comment 1 Roland Wolters 2009-03-12 17:59:50 EDT
Start ktorrent from konsole with the option
KDE_LANG=en_US ktorrent
and reproduce the error message. Post the exact (!) message here please.
Comment 2 Alexey Kuznetsov 2009-03-13 02:59:28 EDT
sorry for my english :)

"You don't have enough disk space to download this torrent. Are you sure you want to continue?"
Comment 3 Alexey Kuznetsov 2009-03-13 09:52:05 EDT
sometimes, ktorrent wont to start torrent download even i have "when diskspace is running low: ask if torrents can be started" combobox enabled. it just drop me to small notivy window and wont to download it without any dialog.
Comment 4 Roland Wolters 2009-03-14 09:33:55 EDT
Are the downloads finished correctly nevertheless?
Do you have the chance of enlarging the tmpfs for a test to check if that is the source of the problem?
Comment 5 Alexey Kuznetsov 2009-03-14 09:43:23 EDT
yes and no. after warning dialog ktorrent well continue to download torrent and can finish it correctly. if i got notify window - ktorrent stop downloading.

that issues independent. really here three issues. for some torrents ktorrent do him job correctly (for .gvfs folder of course), for some torrents ktorrent show dialog (in most cases this happens), for some torrents it show notivy window, which mean - the end no chance to continue downloading or start downloading.

i do not know how to change tempfs size and where is it.
Comment 6 Roland Wolters 2009-03-14 10:28:24 EDT
I've filled a bug report upstream, maybe they have an idea.
Comment 7 Steven M. Parrish 2009-03-16 20:45:47 EDT
Thanks for the upstream report, will monitor it for a resolution to this issue.

Note You need to log in before you can comment on or make changes to this bug.